## org.eclipse.datatools.connectivity.oda.util.logging
Class Level

    java.lang.Object
      org.eclipse.datatools.connectivity.oda.util.logging.Level

    public final class Level

extends java.lang.Object

`Level` represents logging levels within the logging framework. It defines a standard set of logging levels to control logging.

Field Summary
`static int` `ALL` The constant indicating the integer value of ALL.
`static Level` `ALL_LEVEL` The constant indicating the log level ALL.
`static int` `CONFIG` The constant indicating the integer value of CONFIG.
`static Level` `CONFIG_LEVEL` The constant indicating the log level CONFIG.
`static int` `FINE` The constant indicating the integer value of FINE.
`static Level` `FINE_LEVEL` The constant indicating the log level FINE.
`static int` `FINER` The constant indicating the integer value of FINER.
`static Level` `FINER_LEVEL` The constant indicating the log level FINER.
`static int` `FINEST` The constant indicating the integer value of FINEST.
`static Level` `FINEST_LEVEL` The constant indicating the log level FINEST.
`static int` `INFO` The constant indicating the integer value of INFO.
`static Level` `INFO_LEVEL` The constant indicating the log level INFO.
`static int` `OFF` The constant indicating the integer value of OFF.
`static Level` `OFF_LEVEL` The constant indicating the log level OFF.
`static int` `SEVERE` The constant indicating the integer value of SEVERE.
`static Level` `SEVERE_LEVEL` The constant indicating the log level SEVERE.
`static int` `WARNING` The constant indicating the integer value of WARNING.
`static Level` `WARNING_LEVEL` The constant indicating the log level WARNING.

Method Summary
`boolean` `equals(java.lang.Object obj)` Checks whether the two objects have the same log level value.
`java.lang.String` `getName()` Gets the log level name.
`int` `hashCode()` Generate a hashcode based on the log level value.
`int` `intValue()` Gets the log level value.

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OFF

    public static final int OFF

  The constant indicating the integer value of OFF.

  See Also:
    Constant Field Values

### SEVERE

    public static final int SEVERE

  The constant indicating the integer value of SEVERE.

  See Also:
    Constant Field Values

### WARNING

    public static final int WARNING

  The constant indicating the integer value of WARNING.

  See Also:
    Constant Field Values

### INFO

    public static final int INFO

  The constant indicating the integer value of INFO.

  See Also:
    Constant Field Values

### CONFIG

    public static final int CONFIG

  The constant indicating the integer value of CONFIG.

  See Also:
    Constant Field Values

### FINE

    public static final int FINE

  The constant indicating the integer value of FINE.

  See Also:
    Constant Field Values

### FINER

    public static final int FINER

  The constant indicating the integer value of FINER.

  See Also:
    Constant Field Values

### FINEST

    public static final int FINEST

  The constant indicating the integer value of FINEST.

  See Also:
    Constant Field Values

### ALL

    public static final int ALL

  The constant indicating the integer value of ALL.

  See Also:
    Constant Field Values

### OFF_LEVEL

    public static final Level OFF_LEVEL

  The constant indicating the log level OFF. OFF should be used to turn off logging.

### SEVERE_LEVEL

    public static final Level SEVERE_LEVEL

  The constant indicating the log level SEVERE. SEVERE should be used to indicate a serious failure.

### WARNING_LEVEL

    public static final Level WARNING_LEVEL

  The constant indicating the log level WARNING. WARNING should be used to indicate potential problems.

### INFO_LEVEL

    public static final Level INFO_LEVEL

  The constant indicating the log level INFO. INFO should be used for informational messages.

### CONFIG_LEVEL

    public static final Level CONFIG_LEVEL

  The constant indicating the log level CONFIG. CONFIG should be used for configuration messages.

### FINE_LEVEL

    public static final Level FINE_LEVEL

  The constant indicating the log level FINE. FINE should be used for relatively detailed trace logging.

### FINER_LEVEL

    public static final Level FINER_LEVEL

  The constant indicating the log level FINER. FINER should be used for detailed trace logging.

### FINEST_LEVEL

    public static final Level FINEST_LEVEL

  The constant indicating the log level FINEST. FINEST should be used for very detailed trace logging.

### ALL_LEVEL

    public static final Level ALL_LEVEL

  The constant indicating the log level ALL. ALL should be used to log everything.

Method Detail

### equals

    public boolean equals(java.lang.Object obj)

  Checks whether the two objects have the same log level value.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `obj` - the object to compare against.
  Returns:
    true, if both objects have the same log level value.

### hashCode

    public int hashCode()

  Generate a hashcode based on the log level value.

  Overrides:
    `hashCode` in class `java.lang.Object`
  Returns:
    the hashcode based on the log level value.

### getName

    public java.lang.String getName()

  Gets the log level name.

  Returns:
    the log level name.

### intValue

    public int intValue()

  Gets the log level value.

  Returns:
    the log level value.